getAiVisualReportList(params: QueryGetAiVisualReportList)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Query Vision Box report list
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<VisionBoxReport[]>
Array of VisionBoxReport (for report type, title, status, etc., see minituya response tables and type fields)
Referenced Types
interface
VisionBoxReport| Property | Type | Description |
|---|---|---|
visionBoxId | string | Vision Cube ID |
modelName | string | Model name |
reportId | string | Report ID |
reportType | ReportType | Report type (daily, weekly, etc.) |
reportTitleName | string | Report title |
| Report body (event statistics, etc.) | ||
summaryAndSuggestion | string | Summary and recommendations |
detailTitle | string | Details title |
totalNumTitle | string | Total count title |
reportState | number | Report status |
reportStateName | string | Report status name |
| Associated file list | ||
reportKey | string | Report business key |
enum
ReportType| Value | Actual Value | Description |
|---|---|---|
ReportType.DAILY | 1 | Daily report |
ReportType.WEEKLY | 2 | Weekly report |
Valid Values
ReportType
| Value | Description | Since |
|---|---|---|
1 | Daily report | - |
2 | Weekly report | - |